import type { AIServiceOptions } from '../../text/types.js';
import type { AITextChatRequest } from '../../types/index.js';
import type { API } from '../../util/apicall.js';
import { BaseAI } from '../base.js';
import type { TextModelConfig, TextResponse } from '../types.js';
import { type AnthropicChatError, type AnthropicChatRequest, type AnthropicChatResponse, type AnthropicChatResponseDelta, type AnthropicConfig } from './types.js';
/**
 * Anthropic: Default Model options for text generation
 * @export
 */
export declare const AnthropicDefaultConfig: () => AnthropicConfig;
export interface AnthropicArgs {
    apiKey: string;
    config?: Readonly<AnthropicConfig>;
    options?: Readonly<AIServiceOptions>;
}
export declare class Anthropic extends BaseAI<AnthropicChatRequest, unknown, AnthropicChatResponse, AnthropicChatResponseDelta, unknown> {
    private config;
    constructor({ apiKey, config, options }: Readonly<AnthropicArgs>);
    getModelConfig(): TextModelConfig;
    generateChatReq: (req: Readonly<AITextChatRequest>) => [API, AnthropicChatRequest];
    generateChatResp: (response: Readonly<AnthropicChatResponse | AnthropicChatError>) => TextResponse;
    generateChatStreamResp: (resp: Readonly<AnthropicChatResponseDelta>) => TextResponse;
}
