/// <reference types="node" />
import type { ReadableStream } from 'stream/web';
import type { AIPromptConfig, AIService, AIServiceActionOptions, AIServiceOptions } from '../text/index.js';
import type { AITextChatRequest, AITextEmbedRequest } from '../types/index.js';
import type { EmbedResponse, TextModelConfig, TextModelInfo, TextResponse } from './types.js';
export declare class AIBalancer implements AIService {
    private services;
    private currentServiceIndex;
    private currentService;
    constructor(services: readonly AIService[]);
    private getNextService;
    private reset;
    getName(): string;
    getModelInfo(): Readonly<TextModelInfo & {
        provider: string;
    }>;
    getEmbedModelInfo(): Readonly<TextModelInfo> | undefined;
    getModelConfig(): Readonly<TextModelConfig>;
    getFeatures(): {
        functions: boolean;
        streaming: boolean;
    };
    chat(req: Readonly<AITextChatRequest>, options?: Readonly<AIPromptConfig & AIServiceActionOptions> | undefined): Promise<TextResponse | ReadableStream<TextResponse>>;
    embed(req: Readonly<AITextEmbedRequest>, options?: Readonly<AIServiceActionOptions> | undefined): Promise<EmbedResponse>;
    setOptions(options: Readonly<AIServiceOptions>): void;
}
