import type { AIServiceOptions } from '../../text/types.js';
import { OpenAI } from '../openai/api.js';
import type { OpenAIConfig } from '../openai/types.js';
type DeepSeekConfig = OpenAIConfig;
/**
 * DeepSeek: Default Model options for text generation
 * @export
 */
export declare const DeepSeekDefaultConfig: () => DeepSeekConfig;
/**
 * DeepSeek: Default Model options for text generation
 * @export
 */
export declare const DeepSeekCodeConfig: () => DeepSeekConfig;
export interface DeepSeekArgs {
    apiKey: string;
    config: Readonly<DeepSeekConfig>;
    options?: Readonly<AIServiceOptions>;
}
/**
 * DeepSeek: AI Service
 * @export
 */
export declare class DeepSeek extends OpenAI {
    constructor({ apiKey, config, options }: Readonly<DeepSeekArgs>);
}
export {};
