/**
 * apiURLGoogleGemini: Base URL for Google Gemini API calls
 * @export
 */
/**
 * GoogleGeminiModel: Enum for specifying the model version
 * @export
 */
export var GoogleGeminiModel;
(function (GoogleGeminiModel) {
    GoogleGeminiModel["Gemini1Pro"] = "gemini-1.0-pro";
    GoogleGeminiModel["Gemini15Flash"] = "gemini-1.5-flash";
    GoogleGeminiModel["Gemini15Pro"] = "gemini-1.5-pro";
})(GoogleGeminiModel || (GoogleGeminiModel = {}));
/**
 * GoogleGeminiEmbedModels: Enum for specifying embedding models
 * @export
 */
export var GoogleGeminiEmbedModels;
(function (GoogleGeminiEmbedModels) {
    GoogleGeminiEmbedModels["Embedding001"] = "embedding-001";
})(GoogleGeminiEmbedModels || (GoogleGeminiEmbedModels = {}));
export var GoogleGeminiSafetyCategory;
(function (GoogleGeminiSafetyCategory) {
    GoogleGeminiSafetyCategory["HarmCategoryHarassment"] = "HARM_CATEGORY_HARASSMENT";
    GoogleGeminiSafetyCategory["HarmCategoryHateSpeech"] = "HARM_CATEGORY_HATE_SPEECH";
    GoogleGeminiSafetyCategory["HarmCategorySexuallyExplicit"] = "HARM_CATEGORY_SEXUALLY_EXPLICIT";
    GoogleGeminiSafetyCategory["HarmCategoryDangerousContent"] = "HARM_CATEGORY_DANGEROUS_CONTENT";
})(GoogleGeminiSafetyCategory || (GoogleGeminiSafetyCategory = {}));
export var GoogleGeminiSafetyThreshold;
(function (GoogleGeminiSafetyThreshold) {
    GoogleGeminiSafetyThreshold["BlockNone"] = "BLOCK_NONE";
    GoogleGeminiSafetyThreshold["BlockOnlyHigh"] = "BLOCK_ONLY_HIGH";
    GoogleGeminiSafetyThreshold["BlockMediumAndAbove"] = "BLOCK_MEDIUM_AND_ABOVE";
    GoogleGeminiSafetyThreshold["BlockLowAndAbove"] = "BLOCK_LOW_AND_ABOVE";
    GoogleGeminiSafetyThreshold["BlockDefault"] = "HARM_BLOCK_THRESHOLD_UNSPECIFIED";
})(GoogleGeminiSafetyThreshold || (GoogleGeminiSafetyThreshold = {}));
//# sourceMappingURL=types.js.map