import type { AIServiceOptions } from '../../text/types.js';
import { OpenAI } from '../openai/api.js';
import type { OpenAIConfig } from '../openai/types.js';
type GroqAIConfig = OpenAIConfig;
/**
 * GroqAI: Default Model options for text generation
 * @export
 */
export declare const GroqDefaultConfig: () => GroqAIConfig;
export interface GroqArgs {
    apiKey: string;
    config: Readonly<GroqAIConfig>;
    options?: Readonly<AIServiceOptions>;
}
/**
 * GroqAI: AI Service
 * @export
 */
export declare class Groq extends OpenAI {
    constructor({ apiKey, config, options }: Readonly<GroqArgs>);
}
export {};
