import type { AIPromptConfig, AIServiceOptions } from '../../text/types.js';
import type { AITextChatRequest } from '../../types/index.js';
import type { API } from '../../util/apicall.js';
import { BaseAI } from '../base.js';
import type { TextModelConfig, TextResponse } from '../types.js';
import { type HuggingFaceConfig, type HuggingFaceRequest, type HuggingFaceResponse } from './types.js';
/**
 * HuggingFace: Default Model options for text generation
 * @export
 */
export declare const HuggingFaceDefaultConfig: () => HuggingFaceConfig;
/**
 * HuggingFace: Default model options for more creative text generation
 * @export
 */
export declare const HuggingFaceCreativeConfig: () => HuggingFaceConfig;
export interface HuggingFaceArgs {
    apiKey: string;
    config?: Readonly<HuggingFaceConfig>;
    options?: Readonly<AIServiceOptions>;
}
/**
 * HuggingFace: AI Service
 * @export
 */
export declare class HuggingFace extends BaseAI<HuggingFaceRequest, unknown, HuggingFaceResponse, unknown, unknown> {
    private config;
    constructor({ apiKey, config, options }: Readonly<HuggingFaceArgs>);
    getModelConfig(): TextModelConfig;
    generateChatReq: (req: Readonly<AITextChatRequest>, _config: Readonly<AIPromptConfig>) => [API, HuggingFaceRequest];
    generateChatResp: (resp: Readonly<HuggingFaceResponse>) => TextResponse;
}
