import { Anthropic, type AnthropicArgs } from './anthropic/api.js';
import { type AzureOpenAIArgs } from './azure-openai/api.js';
import { Cohere, type CohereArgs } from './cohere/api.js';
import { type DeepSeekArgs } from './deepseek/api.js';
import { GoogleGemini } from './google-gemini/api.js';
import { type GroqArgs } from './groq/api.js';
import { HuggingFace, type HuggingFaceArgs } from './huggingface/api.js';
import { type MistralArgs } from './mistral/api.js';
import { type OllamaArgs } from './ollama/api.js';
import { OpenAI, type OpenAIArgs } from './openai/api.js';
import { type TogetherArgs } from './together/api.js';
export * from './openai/index.js';
export * from './azure-openai/index.js';
export * from './huggingface/index.js';
export * from './together/index.js';
export * from './cohere/index.js';
export * from './google-gemini/index.js';
export * from './anthropic/index.js';
export * from './groq/index.js';
export * from './mistral/index.js';
export * from './deepseek/index.js';
export * from './ollama/index.js';
export * from './types.js';
export * from './balance.js';
export * from './base.js';
export type AIName = 'openai' | 'azure-openai' | 'huggingface' | 'together' | 'cohere' | 'google-gemini' | 'anthropic' | 'groq' | 'mistral' | 'deepseek' | 'ollama';
export declare const AI: (name: AIName, options: Readonly<AzureOpenAIArgs | OpenAIArgs | TogetherArgs | AnthropicArgs | CohereArgs | HuggingFaceArgs | GroqArgs | MistralArgs | DeepSeekArgs | OllamaArgs>) => Anthropic | OpenAI | Cohere | GoogleGemini | HuggingFace;
