import type { AIServiceOptions } from '../../text/types.js';
import { OpenAI } from '../openai/api.js';
import type { OpenAIConfig } from '../openai/types.js';
type MistralConfig = OpenAIConfig;
/**
 * Mistral: Default Model options for text generation
 * @export
 */
export declare const MistralDefaultConfig: () => MistralConfig;
/**
 * Mistral: Default model options to use the more advanced model
 * @export
 */
export declare const MistralBestConfig: () => OpenAIConfig;
export interface MistralArgs {
    apiKey: string;
    config: Readonly<MistralConfig>;
    options?: Readonly<AIServiceOptions>;
}
/**
 * Mistral: AI Service
 * @export
 */
export declare class Mistral extends OpenAI {
    constructor({ apiKey, config, options }: Readonly<MistralArgs>);
}
export {};
