import type { AIServiceOptions } from '../../text/types.js';
import { OpenAI } from '../openai/api.js';
import type { OpenAIConfig } from '../openai/types.js';
export type OllamaAIConfig = OpenAIConfig;
/**
 * OllamaAI: Default Model options for text generation
 * @export
 */
export declare const OllamaDefaultConfig: () => Omit<OllamaAIConfig, 'model'>;
export declare const OllamaDefaultCreativeConfig: () => Omit<OllamaAIConfig, 'model'>;
export type OllamaArgs = {
    model: string;
    url?: string;
    apiKey?: string;
    config?: Readonly<Omit<OllamaAIConfig, 'model'>>;
    options?: Readonly<AIServiceOptions>;
};
/**
 * OllamaAI: AI Service
 * @export
 */
export declare class Ollama extends OpenAI {
    constructor({ apiKey, url, model, config, options }: Readonly<OllamaArgs>);
}
