import { BaseAIDefaultConfig, BaseAIDefaultCreativeConfig } from '../base.js';
import { OpenAI } from '../openai/api.js';
/**
 * OllamaAI: Default Model options for text generation
 * @export
 */
export const OllamaDefaultConfig = () => structuredClone({
    ...BaseAIDefaultConfig()
});
export const OllamaDefaultCreativeConfig = () => structuredClone({
    ...BaseAIDefaultCreativeConfig()
});
/**
 * OllamaAI: AI Service
 * @export
 */
export class Ollama extends OpenAI {
    constructor({ apiKey = 'not-set', url = 'http://localhost:11434', model, config = OllamaDefaultConfig(), options }) {
        super({
            apiKey,
            options,
            config: { ...config, model },
            apiURL: new URL('/v1', url).href
        });
        super.setName('Ollama');
    }
}
//# sourceMappingURL=api.js.map