// Transcribe = '/v1/audio/transcriptions',
/**
 * OpenAI: Models for text generation
 * @export
 */
export var OpenAIModel;
(function (OpenAIModel) {
    OpenAIModel["GPT4"] = "gpt-4";
    OpenAIModel["GPT4O"] = "gpt-4o";
    OpenAIModel["GPT4Turbo"] = "gpt-4-turbo";
    OpenAIModel["GPT35Turbo"] = "gpt-3.5-turbo";
    OpenAIModel["GPT35TurboInstruct"] = "gpt-3.5-turbo-instruct";
    OpenAIModel["GPT35TextDavinci002"] = "text-davinci-002";
    OpenAIModel["GPT3TextBabbage002"] = "text-babbage-002";
    OpenAIModel["GPT3TextAda001"] = "text-ada-001";
})(OpenAIModel || (OpenAIModel = {}));
/**
 * OpenAI: Models for use in embeddings
 * @export
 */
export var OpenAIEmbedModels;
(function (OpenAIEmbedModels) {
    OpenAIEmbedModels["TextEmbeddingAda002"] = "text-embedding-ada-002";
    OpenAIEmbedModels["TextEmbedding3Small"] = "text-embedding-3-small";
    OpenAIEmbedModels["TextEmbedding3Large"] = "text-embedding-3-large";
})(OpenAIEmbedModels || (OpenAIEmbedModels = {}));
/**
 * OpenAI: Models for for audio transcription
 * @export
 */
export var OpenAIAudioModel;
(function (OpenAIAudioModel) {
    OpenAIAudioModel["Whisper1"] = "whisper-1";
})(OpenAIAudioModel || (OpenAIAudioModel = {}));
//# sourceMappingURL=types.js.map