import type { AIServiceOptions } from '../../text/types.js';
import { OpenAI } from '../openai/api.js';
import type { OpenAIConfig } from '../openai/types.js';
type TogetherAIConfig = OpenAIConfig;
/**
 * TogetherAI: Default Model options for text generation
 * @export
 */
export declare const TogetherDefaultConfig: () => TogetherAIConfig;
export interface TogetherArgs {
    apiKey: string;
    config: Readonly<TogetherAIConfig>;
    options?: Readonly<AIServiceOptions>;
}
/**
 * TogetherAI: AI Service
 * @export
 */
export declare class Together extends OpenAI {
    constructor({ apiKey, config, options }: Readonly<TogetherArgs>);
}
export {};
