import { BaseAIDefaultConfig } from '../base.js';
import { OpenAI } from '../openai/api.js';
/**
 * TogetherAI: Default Model options for text generation
 * @export
 */
export const TogetherDefaultConfig = () => structuredClone({
    model: 'llama2-70b-4096',
    ...BaseAIDefaultConfig()
});
/**
 * TogetherAI: AI Service
 * @export
 */
export class Together extends OpenAI {
    constructor({ apiKey, config = TogetherDefaultConfig(), options }) {
        if (!apiKey || apiKey === '') {
            throw new Error('Together API key not set');
        }
        super({
            apiKey,
            config,
            options,
            apiURL: 'https://api.together.xyz/v1'
        });
        super.setName('Together');
    }
}
//# sourceMappingURL=api.js.map