/// <reference types="node" />
import { type BaseArgs, BaseDB, type BaseOpOptions } from './base.js';
import type { DBQueryRequest, DBQueryResponse, DBUpsertRequest, DBUpsertResponse } from './types.js';
export interface CloudflareArgs {
    apiKey: string;
    accountId: string;
    fetch?: typeof fetch;
}
/**
 * Cloudflare: DB Service
 * @export
 */
export declare class Cloudflare extends BaseDB {
    private apiKey;
    private accountId;
    constructor({ apiKey, accountId, fetch, tracer }: Readonly<CloudflareArgs & BaseArgs>);
    _upsert: (req: Readonly<DBUpsertRequest>, update?: boolean, options?: Readonly<BaseOpOptions>) => Promise<DBUpsertResponse>;
    batchUpsert: (batchReq: Readonly<DBUpsertRequest[]>, update?: boolean, options?: Readonly<BaseOpOptions>) => Promise<DBUpsertResponse>;
    query: (req: Readonly<DBQueryRequest>, options?: Readonly<BaseOpOptions>) => Promise<DBQueryResponse>;
}
