import { Cloudflare, type CloudflareArgs } from './cloudflare.js';
import { MemoryDB, type MemoryDBArgs } from './memory.js';
import { Pinecone, type PineconeArgs } from './pinecone.js';
import { Weaviate, type WeaviateArgs } from './weaviate.js';
export * from './types.js';
export * from './weaviate.js';
export * from './pinecone.js';
export * from './cloudflare.js';
export * from './memory.js';
export type DBName = 'weaviate' | 'pinecone' | 'memory' | 'cloudflare';
export declare const DB: (name: DBName, options?: Readonly<CloudflareArgs | PineconeArgs | WeaviateArgs | MemoryDBArgs>) => MemoryDB | Cloudflare | Pinecone | Weaviate;
