import { Cloudflare } from './cloudflare.js';
import { MemoryDB } from './memory.js';
import { Pinecone } from './pinecone.js';
import { Weaviate } from './weaviate.js';
export * from './types.js';
export * from './weaviate.js';
export * from './pinecone.js';
export * from './cloudflare.js';
export * from './memory.js';
export const DB = (name, options = {}) => {
    switch (name) {
        case 'weaviate':
            return new Weaviate(options);
        case 'pinecone':
            return new Pinecone(options);
        case 'cloudflare':
            return new Cloudflare(options);
        case 'memory':
            return new MemoryDB(options);
    }
    throw new Error(`Unknown DB ${name}`);
};
//# sourceMappingURL=index.js.map