import { type BaseArgs, BaseDB, type BaseOpOptions } from './base.js';
import type { DBQueryRequest, DBQueryResponse, DBUpsertRequest, DBUpsertResponse } from './types.js';
export interface MemoryDBArgs {
    filename?: string;
}
export type DBState = Record<string, Record<string, DBUpsertRequest>>;
/**
 * MemoryDB: DB Service
 * @export
 */
export declare class MemoryDB extends BaseDB {
    private state;
    private filename?;
    constructor({ filename, tracer }?: Readonly<MemoryDBArgs & BaseArgs>);
    _upsert: (req: Readonly<DBUpsertRequest>, _update?: boolean, _options?: Readonly<BaseOpOptions>) => Promise<DBUpsertResponse>;
    _batchUpsert: (batchReq: Readonly<DBUpsertRequest[]>, update?: boolean, _options?: Readonly<BaseOpOptions>) => Promise<DBUpsertResponse>;
    _query: (req: Readonly<DBQueryRequest>, _options?: Readonly<BaseOpOptions>) => Promise<DBQueryResponse>;
    save: (fn?: string | undefined) => Promise<void>;
    load: (fn?: string | undefined) => Promise<void>;
    getDB: () => DBState;
    setDB: (state: DBState) => void;
    clearDB: () => void;
}
