/// <reference types="node" />
import { type BaseArgs, BaseDB, type BaseOpOptions } from './base.js';
import type { DBQueryRequest, DBQueryResponse, DBUpsertRequest, DBUpsertResponse } from './types.js';
export interface PineconeArgs {
    apiKey: string;
    host: string;
    fetch?: typeof fetch;
}
/**
 * Pinecone: DB Service
 * @export
 */
export declare class Pinecone extends BaseDB {
    private apiKey;
    private apiURL;
    constructor({ apiKey, host, fetch, tracer }: Readonly<PineconeArgs & BaseArgs>);
    _upsert: (req: Readonly<DBUpsertRequest>, update?: boolean, options?: Readonly<BaseOpOptions>) => Promise<DBUpsertResponse>;
    _batchUpsert: (batchReq: Readonly<DBUpsertRequest[]>, _update?: boolean, options?: Readonly<BaseOpOptions>) => Promise<DBUpsertResponse>;
    query: (req: Readonly<DBQueryRequest>, options?: Readonly<BaseOpOptions>) => Promise<DBQueryResponse>;
}
