import type { extractionState } from './extract.js';
import type { Signature } from './sig.js';
export interface Assertion {
    fn(values: Record<string, unknown>): boolean | undefined;
    message?: string;
    optional?: boolean;
}
export interface StreamingAssertion {
    fieldName: string;
    fn(content: string): boolean | undefined;
    message?: string;
    optional?: boolean;
}
export declare class AssertionError extends Error {
    private values;
    private optional?;
    constructor({ message, values, optional }: Readonly<{
        message: string;
        values: Record<string, unknown>;
        optional?: boolean;
    }>);
    getValue: () => Record<string, unknown>;
    getOptional: () => boolean | undefined;
    getFixingInstructions: (_sig: Readonly<Signature>) => {
        name: string;
        title: string;
        description: string;
    }[];
}
export declare const assertAssertions: (asserts: readonly Assertion[], values: Record<string, unknown>) => void;
export declare const assertStreamingAssertions: (asserts: readonly StreamingAssertion[], values: Record<string, unknown>, xstate: Readonly<extractionState>, content: string) => void;
export declare const assertRequiredFields: (sig: Readonly<Signature>, values: Record<string, unknown>) => void;
