import type { Example, MetricFn } from './optimize.js';
import type { GenIn, GenOut, Program } from './program.js';
export type EvaluateArgs<IN extends GenIn, OUT extends GenOut> = {
    program: Readonly<Program<IN, OUT>>;
    examples: Readonly<Example[]>;
};
export declare class TestPrompt<IN extends GenIn = GenIn, OUT extends GenOut = GenOut> {
    private program;
    private examples;
    constructor({ program, examples }: Readonly<EvaluateArgs<IN, OUT>>);
    run(metricFn: MetricFn): Promise<void>;
}
