import type { Field, Signature } from './sig.js';
export declare const extractValues: (sig: Readonly<Signature>, values: Record<string, unknown>, content: string) => void;
export interface extractionState {
    currField?: Field;
    s: number;
}
export declare const streamingExtractValues: (sig: Readonly<Signature>, values: Record<string, unknown>, state: extractionState, content: string) => void;
export declare const streamingExtractFinalValue: (values: Record<string, unknown>, state: extractionState, content: string) => void;
export declare class ValidationError extends Error {
    private field;
    private value;
    constructor({ message, field, value }: Readonly<{
        message: string;
        field: Field;
        value: string;
    }>);
    getField: () => Field;
    getValue: () => string;
    getFixingInstructions: () => {
        name: string;
        title: string;
        description: string;
    }[];
}
export declare const extractBlock: (input: string) => string;
