import type { Value } from './program.js';
export type Row = {
    row: Record<string, Value>;
};
export declare class HFDataLoader {
    private baseUrl;
    private dataFolder;
    constructor();
    private ensureDataFolderExists;
    private fetchDataFromAPI;
    private getFilePath;
    loadData(dataset: string, split: 'train' | 'validation', options?: Readonly<{
        offset?: number;
        length?: number;
    }>): Promise<{
        rows: Row[];
    }>;
    getData<T>({ dataset, split, count, fields, renameMap }: Readonly<{
        dataset: string;
        split: 'train' | 'validation';
        count: number;
        fields: readonly string[];
        renameMap?: Record<string, string>;
    }>): Promise<T[]>;
}
