import type { GenIn, GenOut, Program, ProgramDemos, Value } from './program.js';
export type Example = Record<string, Value>;
export type MetricFn = <T extends GenOut = GenOut>(arg0: Readonly<{
    prediction: T;
    example: Example;
}>) => boolean;
export type MetricFnArgs = Parameters<MetricFn>[0];
export type OptimizerArgs<IN extends GenIn, OUT extends GenOut> = {
    program: Readonly<Program<IN, OUT>>;
    examples: Readonly<Example[]>;
    options?: {
        maxRounds?: number;
        maxExamples?: number;
        maxDemos?: number;
    };
};
export declare class BootstrapFewShot<IN extends GenIn = GenIn, OUT extends GenOut = GenOut> {
    private program;
    private examples;
    private maxRounds;
    private maxDemos;
    private maxExamples;
    private traces;
    constructor({ program, examples, options }: Readonly<OptimizerArgs<IN, OUT>>);
    private compileRound;
    compile(metricFn: MetricFn, options?: Readonly<OptimizerArgs<IN, OUT>['options'] & {
        filename?: string;
    }>): Promise<ProgramDemos[]>;
}
