import { type Value } from './program.js';
import type { Field, IField, Signature } from './sig.js';
export type FieldTemplateFn = (field: Readonly<Field>, value: Readonly<string | string[]>) => string;
export declare class PromptTemplate {
    private sig;
    private fieldTemplates?;
    private task;
    private format;
    private prompt?;
    constructor(sig: Readonly<Signature>, fieldTemplates?: Record<string, FieldTemplateFn>);
    toString: <T extends Record<string, Value>>(values: T, { extraFields, examples, demos }: Readonly<{
        skipSystemPrompt?: boolean;
        extraFields?: readonly IField[];
        examples?: Record<string, Value>[];
        demos?: Record<string, Value>[];
    }>) => string;
    renderExtraFields: (extraFields: readonly IField[]) => string[];
    private renderExamples;
    private renderDemos;
    private renderInputFields;
    private renderInField;
    private defaultRenderInField;
    private renderDescFields;
    private renderOutFields;
}
