import type { AIService } from '../text/index.js';
export interface RouterForwardOptions {
    cutoff?: number;
}
export declare class Route {
    private readonly name;
    private readonly context;
    constructor(name: string, context: readonly string[]);
    getName(): string;
    getContext(): readonly string[];
}
export declare class Router {
    private readonly ai;
    private db;
    private debug?;
    constructor(ai: AIService);
    setRoutes: (routes: readonly Route[], options?: Readonly<{
        filename?: string;
    }>) => Promise<void>;
    forward(text: string, options?: Readonly<RouterForwardOptions>): Promise<string>;
    setOptions(options: Readonly<{
        debug?: boolean;
    }>): void;
}
