import { type FunctionJSONSchema } from '../text/functions.js';
export interface Field {
    name: string;
    title?: string;
    description?: string;
    type?: {
        name: 'string' | 'number' | 'boolean' | 'json';
        isArray: boolean;
    };
    isOptional?: boolean;
}
export type IField = Omit<Field, 'title'> & {
    title: string;
};
export declare class Signature {
    private description?;
    private inputFields;
    private outputFields;
    private sigHash;
    private sigString;
    constructor(signature: Readonly<Signature | string>);
    private parseParsedField;
    private parseField;
    setDescription: (desc: string) => void;
    addInputField: (field: Readonly<Field>) => void;
    addOutputField: (field: Readonly<Field>) => void;
    setInputFields: (fields: readonly Field[]) => void;
    setOutputFields: (fields: readonly Field[]) => void;
    getInputFields: () => Readonly<IField[]>;
    getOutputFields: () => Readonly<IField[]>;
    getDescription: () => string | undefined;
    private toTitle;
    toJSONSchema: () => FunctionJSONSchema;
    private updateHash;
    hash: () => string;
    toString: () => string;
}
