import { AI, ChainOfThought, emScore, HFDataLoader, TestPrompt } from '../index.js';
const ai = AI('openai', { apiKey: process.env.OPENAI_APIKEY });
const program = new ChainOfThought(ai, `question -> answer "in short 2 or 3 words"`);
// load tuning data
// program.loadDemos('demos.json');
// use directly
// const res = await gen.forward({
//   question: 'What castle did David Gregory inherit?'
// });
// or test to see performance
const hf = new HFDataLoader();
const examples = await hf.getData({
    dataset: 'hotpot_qa',
    split: 'validation',
    count: 10,
    fields: ['question', 'answer']
});
// Setup a evaluation metric em, f1 scores are a popular way measure retrieval performance.
const metricFn = ({ prediction, example }) => {
    return emScore(prediction.answer, example.answer);
};
const ev = new TestPrompt({ program, examples });
await ev.run(metricFn);
// console.log(res);
//# sourceMappingURL=qna-use-tuned.js.map