import { AI, ApacheTika, DBManager, MemoryDB } from '../index.js';
const ai = AI('openai', { apiKey: process.env.OPENAI_APIKEY });
const db = new MemoryDB();
const tika = new ApacheTika();
const text = await tika.convert(['./README.md']);
const manager = new DBManager({ ai, db });
await manager.insert(text, {
    minWordsPerChunk: 50,
    maxWordsPerChunk: 100
});
const matches = await manager.query('Explain semantic routing');
const topMatch = matches.at(0);
console.log(topMatch);
//# sourceMappingURL=rag-docs.js.map