import { AI, ChainOfThought, RAG } from '../index.js';
// simulated vector db call using an llm
const fetchFromVectorDB = async (query) => {
    const cot = new ChainOfThought(ai, 'query -> answer');
    const { answer } = await cot.forward({ query });
    return answer;
};
const ai = AI('openai', { apiKey: process.env.OPENAI_APIKEY });
const rag = new RAG(ai, fetchFromVectorDB, { maxHops: 3 });
const res = await rag.forward({
    question: 'List 3 of the top most important work done by Michael Stonebraker?'
});
console.log(res);
//# sourceMappingURL=rag.js.map