// import * as Langtrace from "@langtrase/typescript-sdk";
// import { trace } from "@opentelemetry/api";
// import {
//   BasicTracerProvider,
//   ConsoleSpanExporter,
//   SimpleSpanProcessor,
// } from "@opentelemetry/sdk-trace-base";
import { AI, GoogleGeminiDefaultOptions, GoogleGeminiModel, OpenAIDefaultConfig } from '../ai/index.js';
import { Agent } from '../prompts/index.js';
// Langtrace.init({
//   //   api_key: "ebe1650bc0dd0b80a2c1c2d417eb5d8a36fe387d08ee09ce6562fe376ee3759e",
//   write_spans_to_console: true,
// });
// const provider = new BasicTracerProvider();
// provider.addSpanProcessor(new SimpleSpanProcessor(new ConsoleSpanExporter()));
// trace.setGlobalTracerProvider(provider);
// const tracer = trace.getTracer("langtrace");
// const ai = AI("anthropic", {
//   apiKey: process.env.ANTHROPIC_APIKEY,
//   model: AnthropicModel.Claude3Haiku,
//   //   options: { tracer },
// } as unknown as AnthropicArgs);
// const options: GoogleGeminiArgs = {
//   apiKey: process.env.GOOGLE_APIKEY ?? '',
//   config: {
//     ...GoogleGeminiDefaultOptions(),
//     model: GoogleGeminiModel.Gemini15Pro
//   }
// };
// const ai = AI('google-gemini', options);
const options = {
    apiKey: process.env.OPENAI_APIKEY ?? '',
    config: OpenAIDefaultConfig()
};
const ai = AI('openai', options);
// ai.setOptions({ debug: true });
// ai.setOptions({ debug: true });
// const ai = AI('ollama', { model: 'nous-hermes2' });
const researcher = new Agent(ai, {
    name: 'researcher',
    description: 'Researcher agent',
    signature: `physicsQuestion "physics questions" -> answer "reply in bullet points"`
});
const summarizer = new Agent(ai, {
    name: 'summarizer',
    description: 'Summarizer agent',
    signature: `text "text so summarize" -> shortSummary "summarize in 5 to 10 words"`
});
const agent = new Agent(ai, {
    name: 'agent',
    description: 'Agent',
    signature: `question -> answer`,
    agents: [researcher, summarizer]
});
const question = `Why is gravity not a real force? Why is light pure energy? Why is physics scale invariant? Why is the centrifugal force talked about so much if it's not real?
    `;
const res = await agent.forward({ question }, { sessionId: '12345' });
console.log('>', res);
// await setTimeout(() => {}, 5000);
//# sourceMappingURL=test.js.map