export const EmbedAdapter = (ai, info, func) => ({
    name: info.name,
    description: info.description,
    parameters: {
        type: 'object',
        properties: {
            text: {
                type: 'string',
                description: info.argumentDescription
            }
        },
        required: ['text']
    },
    func: ({ text }, extra
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    ) => {
        return new Promise((resolve) => {
            resolve(embedAdapter(ai, text, func, extra));
        });
    }
});
export const embedAdapter = async (ai, text, func, extra
// eslint-disable-next-line @typescript-eslint/no-explicit-any
) => {
    const embedRes = await ai.embed({ texts: [text] }, { sessionId: extra?.sessionId });
    const embeds = embedRes.embeddings.at(0);
    return func.length === 2 ? func(embeds, extra) : func(embeds);
};
//# sourceMappingURL=embed.js.map