import { type GenerateOptions, Signature } from '../dsp/index.js';
import { type GenIn, type GenOut, type ITunable, type IUsable, Program, type ProgramForwardOptions } from '../dsp/program.js';
import { type AITextFunction } from '../text/index.js';
import type { AIService } from '../text/types.js';
export interface AgentI extends ITunable, IUsable {
    getFunction(): AITextFunction;
}
export type AgentOptions = Omit<GenerateOptions, 'functions' | 'functionCall'>;
export declare class Agent<IN extends GenIn, OUT extends GenOut> extends Program<IN, OUT> implements AgentI {
    private gen;
    private name;
    private description;
    private subAgentList?;
    private func;
    constructor(ai: AIService, { name, description, signature, agents, functions }: Readonly<{
        name: string;
        description: string;
        signature: Signature | string;
        agents?: AgentI[];
        functions?: AITextFunction[];
    }>, options?: Readonly<AgentOptions>);
    getFunction(): AITextFunction;
    forward(values: IN, options?: Readonly<ProgramForwardOptions>): Promise<OUT>;
}
