import { type GenerateOptions } from '../dsp/index.js';
import { type ProgramForwardOptions } from '../dsp/program.js';
import type { AIService } from '../text/types.js';
import { ChainOfThought } from './cot.js';
export declare class RAG extends ChainOfThought<{
    context: string[];
    question: string;
}, {
    answer: string;
}> {
    private genQuery;
    private queryFn;
    private maxHops;
    constructor(ai: AIService, queryFn: (query: string) => Promise<string>, options: Readonly<GenerateOptions & {
        maxHops?: number;
    }>);
    forward({ question }: Readonly<{
        question: string;
    }>, options?: Readonly<ProgramForwardOptions>): Promise<{
        answer: string;
        reason: string;
    }>;
}
