import type { TextResponseFunctionCall } from '../ai/types.js';
import type { AIServiceActionOptions, FunctionExec } from './types.js';
export type AITextFunctionHandler = (args?: any, extra?: Readonly<AIServiceActionOptions>) => unknown;
export type FunctionJSONSchema = {
    type: string;
    properties?: Record<string, FunctionJSONSchema & {
        enum?: string[];
        default?: unknown;
        description: string;
    }>;
    required?: string[];
    items?: FunctionJSONSchema;
};
export type AITextFunction = {
    name: string;
    description: string;
    parameters?: FunctionJSONSchema;
    func?: AITextFunctionHandler;
};
export declare class FunctionProcessor {
    private funcList;
    constructor(funcList: readonly AITextFunction[]);
    private executeFunction;
    execute: (func: Readonly<TextResponseFunctionCall>, options?: Readonly<AIServiceActionOptions>) => Promise<FunctionExec>;
}
