import type { TextResponseResult } from '../ai/types.js';
import type { AITextChatRequest } from '../types/index.js';
import type { AIMemory } from './types.js';
/**
 * A memory class to store ai interactions
 * @export
 */
export declare class Memory implements AIMemory {
    private data;
    private sdata;
    private limit;
    constructor(limit?: number);
    add(value: Readonly<AITextChatRequest['chatPrompt'][0] | AITextChatRequest['chatPrompt']>, sessionId?: string): void;
    addResult({ content, name, functionCalls }: Readonly<TextResponseResult>, sessionId?: string): void;
    updateResult({ content, name, functionCalls }: Readonly<TextResponseResult>, sessionId?: string): void;
    history(sessionId?: string): AITextChatRequest['chatPrompt'];
    peek(sessionId?: string): AITextChatRequest['chatPrompt'];
    getLast(sessionId?: string): AITextChatRequest['chatPrompt'][0] | undefined;
    reset(sessionId?: string): void;
    private get;
}
