export const SpanAttributes = {
    // LLM
    LLM_SYSTEM: 'gen_ai.system',
    LLM_REQUEST_MODEL: 'gen_ai.request.model',
    LLM_REQUEST_MAX_TOKENS: 'gen_ai.request.max_tokens',
    LLM_REQUEST_TEMPERATURE: 'gen_ai.request.temperature',
    LLM_REQUEST_TOP_K: 'gen_ai.request.top_k',
    LLM_REQUEST_FREQUENCY_PENALTY: 'gen_ai.request.frequency_penalty',
    LLM_REQUEST_PRESENCE_PENALTY: 'gen_ai.request.presence_penalty',
    LLM_REQUEST_STOP_SEQUENCES: 'gen_ai.request.stop_sequences',
    LLM_REQUEST_LLM_IS_STREAMING: 'gen_ai.request.llm_is_streaming',
    LLM_REQUEST_TOP_P: 'gen_ai.request.top_p',
    LLM_USAGE_PROMPT_TOKENS: 'gen_ai.usage.prompt_tokens',
    LLM_USAGE_COMPLETION_TOKENS: 'gen_ai.usage.completion_tokens',
    // Vector DB
    DB_SYSTEM: 'db.system',
    DB_TABLE: 'db.table',
    DB_NAMESPACE: 'db.namespace',
    DB_ID: 'db.id',
    DB_QUERY_TEXT: 'db.query.text',
    DB_VECTOR: 'db.vector',
    DB_OPERATION_NAME: 'db.operation.name',
    DB_VECTOR_QUERY_TOP_K: 'db.vector.query.top_k',
    DB_QUERY_EMBEDDINGS: 'db.query.embeddings',
    DB_QUERY_RESULT: 'db.query.result',
    // Query Embeddings
    DB_QUERY_EMBEDDINGS_VECTOR: 'db.query.embeddings.vector',
    // Query Result (canonical format)
    DB_QUERY_RESULT_ID: 'db.query.result.id',
    DB_QUERY_RESULT_SCORE: 'db.query.result.score',
    DB_QUERY_RESULT_DISTANCE: 'db.query.result.distance',
    DB_QUERY_RESULT_METADATA: 'db.query.result.metadata',
    DB_QUERY_RESULT_VECTOR: 'db.query.result.vector',
    DB_QUERY_RESULT_DOCUMENT: 'db.query.result.document'
};
export const SpanEvents = {
    LLM_PROMPT: 'gen_ai.prompt'
};
export var LLMRequestTypeValues;
(function (LLMRequestTypeValues) {
    LLMRequestTypeValues["COMPLETION"] = "completion";
    LLMRequestTypeValues["CHAT"] = "chat";
    LLMRequestTypeValues["RERANK"] = "rerank";
    LLMRequestTypeValues["UNKNOWN"] = "unknown";
})(LLMRequestTypeValues || (LLMRequestTypeValues = {}));
export var SpanKindValues;
(function (SpanKindValues) {
    SpanKindValues["WORKFLOW"] = "workflow";
    SpanKindValues["TASK"] = "task";
    SpanKindValues["AGENT"] = "agent";
    SpanKindValues["TOOL"] = "tool";
    SpanKindValues["UNKNOWN"] = "unknown";
})(SpanKindValues || (SpanKindValues = {}));
export var SpanStatusCode;
(function (SpanStatusCode) {
    SpanStatusCode["OK"] = "OK";
    SpanStatusCode["ERROR"] = "ERROR";
})(SpanStatusCode || (SpanStatusCode = {}));
export var SpanKind;
(function (SpanKind) {
    SpanKind["INTERNAL"] = "INTERNAL";
    SpanKind["SERVER"] = "SERVER";
    SpanKind["CLIENT"] = "CLIENT";
    SpanKind["PRODUCER"] = "PRODUCER";
    SpanKind["CONSUMER"] = "CONSUMER";
})(SpanKind || (SpanKind = {}));
//# sourceMappingURL=index.js.map