/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
import { type ReadableStream } from 'stream/web';
import type { Span } from '../trace/index.js';
/**
 * Util: API details
 * @export
 */
export type API = {
    name?: string;
    headers?: Record<string, string>;
    put?: boolean;
};
export declare const apiCall: <TRequest = unknown, TResponse = unknown>(api: Readonly<API & {
    url: string | URL;
    stream?: boolean;
    debug?: boolean;
    fetch?: typeof fetch;
    span?: Span;
}>, json: TRequest) => Promise<TResponse | ReadableStream<TResponse>>;
