export class ColorLog {
    // ANSI escape codes for different colors
    ANSI_WHITE_BRIGHT = '\x1b[97m';
    ANSI_GREEN_BRIGHT = '\x1b[92m';
    ANSI_BLUE_BRIGHT = '\x1b[94m';
    ANSI_YELLOW = '\x1b[93m';
    ANSI_RED = '\x1b[91m';
    ANSI_RESET = '\x1b[0m';
    // Method to wrap text with the specified ANSI color code
    colorize(text, colorCode) {
        return `${colorCode}${text}${this.ANSI_RESET}`;
    }
    // Public methods to colorize text in various colors
    whiteBright(text) {
        return this.colorize(text, this.ANSI_WHITE_BRIGHT);
    }
    greenBright(text) {
        return this.colorize(text, this.ANSI_GREEN_BRIGHT);
    }
    blueBright(text) {
        return this.colorize(text, this.ANSI_BLUE_BRIGHT);
    }
    yellow(text) {
        return this.colorize(text, this.ANSI_YELLOW);
    }
    red(text) {
        return this.colorize(text, this.ANSI_RED);
    }
}
//# sourceMappingURL=log.js.map